
Redmine - Defect #20633

Help cursor showing up since r14154

2015-08-28 21:46 - Martin Dubé

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.1.1   

Resolution: Fixed Affected version: 3.1.0

Description

Change in stylesheet in r14154 (added span[title]) make a help cursor (and dotted line) appear at various places.

Related issues:

Related to Redmine - Patch #19296: Include custom fields description in proje... Closed

Associated revisions

Revision 14552 - 2015-09-12 14:30 - Jean-Philippe Lang

Help cursor showing up on span tags with title (#20633).

Revision 14553 - 2015-09-12 14:31 - Jean-Philippe Lang

Merged r14552 (#20633).

History

#1 - 2015-08-28 21:49 - Martin Dubé

An exemple would be a plugin using select2 (https://select2.github.io/) which add some span elements having a title to the select box and thus get

underlined + a help cursor.

#2 - 2015-09-11 08:53 - Toshi MARUYAMA

- Target version set to 3.1.1

Do you mean we should change span[title] (for example: span[cf_title])?

#3 - 2015-09-11 08:54 - Toshi MARUYAMA

- Related to Patch #19296: Include custom fields description in project settings and issue view added

#4 - 2015-09-11 13:39 - Martin Dubé

I'm not an expert, but changing span[title] to span[cf_title] would fix the issue I see (help cursor at various places), but break the custom field tooltip

(as it is the "title" that makes the hovering tooltip appear).

I think the span used for custom fields should be given a class to that this class can be targeted by the css, such as in this sample:

https://jsfiddle.net/BvGHS/452/

#5 - 2015-09-12 14:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
